.\"#############################################################################
.\"$Id: ipmidetectd.8.pre.in,v 1.15 2010-06-30 21:56:36 chu11 Exp $
.\"#############################################################################
.\"  Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.\"  Copyright (C) 2007 The Regents of the University of California.
.\"  Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER).
.\"  Written by Albert Chu <chu11@llnl.gov>
.\"  UCRL-CODE-228523
.\"
.\"  This file is part of Ipmidetect, tools and libraries for detecting
.\"  IPMI nodes in a cluster. For details, see http://www.llnl.gov/linux/.
.\"
.\"  Ipmidetect is free software; you can redistribute it and/or modify it under
.\"  the terms of the GNU General Public License as published by the Free
.\"  Software Foundation; either version 3 of the License, or (at your option)
.\"  any later version.
.\"
.\"  Ipmidetect is distributed in the hope that it will be useful, but WITHOUT
.\"  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
.\"  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
.\"  for more details.
.\"
.\"  You should have received a copy of the GNU General Public License along
.\"  with Ipmidetect.  If not, see <http://www.gnu.org/licenses/>.
.\"#############################################################################
.TH ipmidetectd 8 "2012-06-28" "ipmidetectd 1.1.6" ipmidetectd
.SH "NAME"
ipmidetectd \- IPMI node detection monitoring daemon
.SH "SYNOPSIS"
.B ipmidetectd
[\fIOPTION\fR...]
.br
.SH "DESCRIPTION"
The
.B ipmidetectd
daemon regularly sends out IPMI pings to determine if nodes have
functioning IPMI interfaces or not. It is primarily used to determine
those nodes in the cluster that are not functioning properly, allowing
IPMI commands to be executed across the cluster faster by skipping those
nodes that would automatically timeout.
.LP
The
.B ipmidetectd
daemon must be configured using the
.B ipmidetectd
configuration file. Until
hosts to be pinged are configured,
.B ipmidetectd
will not function properly.
.LP
See the
.BR ipmidetectd.conf(5)
manpage for additional information.

.SH "OPTIONS"
.TP
\fB\-h\fR, \fB\-\-help\fR
Output help
.TP
\fB\-v\fR, \fB\-\-version\fR
Output version
.if 1 \{
.TP
\fB\-c\fR \fIFILE\fR, \fB\-\-config\-file\fR
Specify alternate configuration file
.TP
\fB\-d\fR, \fB\-\-debug\fR
Turn on debugging and run daemon in foreground
\}

.SH "ERRORS"
Errors are logged to syslog.
.SH "FILES"
/usr/local/etc/freeipmi//ipmidetectd.conf
.SH "REPORTING BUGS"
Report bugs to <freeipmi\-users@gnu.org> or <freeipmi\-devel@gnu.org>.
.SH COPYRIGHT
Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.br
Copyright (C) 2007 The Regents of the University of California.
.PP
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or (at
your option) any later version.
.SH "SEE ALSO"
ipmidetectd.conf(5)
.PP
http://www.gnu.org/software/freeipmi/
